Get scenes in collection

Retrieve all scenes that belong to a specific collection.

This endpoint allows you to:

  • List all scenes within a collection
  • Paginate through scenes for large collections
  • Access scene metadata and sharing links

Use cases:

  • Displaying collection contents in UI
  • Filtering scenes by collection
  • Building collection detail pages
GET
/api/v1/collections/{collectionId}/scenes
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Path Parameters

collectionId*string

Query Parameters

limit?integer

The number of items to return per page.

Range1 <= value <= 100
offset?integer

The number of items to skip before starting to collect the result set.

Range0 <= value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.excalidraw.com/api/v1/collections/string/scenes"
{
  "limit": 0,
  "offset": 0,
  "hasNextPage": true,
  "data": [
    {
      "metadata": {
        "workspace": "string",
        "name": "string",
        "created": "string",
        "updated": "string",
        "previewUrl": "string",
        "previewFilename": "string",
        "previewBackground": "string",
        "isDeleted": true,
        "creator": "string",
        "updater": "string",
        "sceneVersion": "string",
        "lastAcknowledgedVersion": -9007199254740991,
        "linkSharing": 0,
        "collection": "string",
        "updateCount": 0,
        "revisionCount": 0,
        "lastRevision": "string",
        "totalElements": 0,
        "deletedElements": 0,
        "pinned": true,
        "hasNonDeletedFrames": true,
        "isWelcomeScene": true,
        "id": "string"
      },
      "readOnlyLinks": [
        {
          "id": "string",
          "scene": "string",
          "workspace": "string",
          "created": "string",
          "updated": "string",
          "updatedBy": "string",
          "creator": "string",
          "preview": "string",
          "previewPath": "string",
          "type": "readonly",
          "status": "active",
          "name": "string",
          "data": {
            "showTitle": true,
            "showMenu": true,
            "darkMode": true,
            "disableInteraction": true,
            "showDarkModeToggle": true,
            "showFrameOutlines": true,
            "x": 0,
            "y": 0,
            "width": 0,
            "height": 0
          }
        }
      ],
      "sharedSlidesLinks": [
        {
          "id": "string",
          "scene": "string",
          "workspace": "string",
          "created": "string",
          "updated": "string",
          "updatedBy": "string",
          "creator": "string",
          "preview": "string",
          "previewPath": "string",
          "isActive": true,
          "type": "slides",
          "data": {
            "name": "string",
            "showSlideTitle": true,
            "animateSlides": true,
            "disallowDownload": true,
            "autoPlaySlides": 100
          }
        }
      ]
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "string"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "string"
}